Subject: [TR] AMCO sidescreens

From: "Andrew Uprichard" <[email-masked]>
Date: Tue, 12 Nov 2013 10:24:29 -0500

List:  this past weekend I found a small-mouth TR3 in a barn about 40 miles
from here - filled with everything the guy thought was necessary for a
restoration back in 1995.  Lots of boxes from the Roadster Factory, Moss and
Victoria British - exciting !

The good news (since I am a big fan of these) is that I found a set of Amco
sidescreens in the trunk. The not so good news is that the rubber around the
outside is torn.  Does anyone know of a source for this?  Or someone who
could help restore the sidescreens?

Thanks!

Andrew Uprichard

** [email-masked] **

Archive: http://www.team.net/archive